# recompilefunction

recompiles a scilab function, changing its type

## Calling Sequence

    recompilefunction(funname [,kind [,force]])

## Arguments

funname

  string, name of the function to recompile

kind

  string: "n" (noncompiled, type 11), "c" (compiled, type 13) or "p" (compiled, type 13, with provision for profiling). Default "c".

force

  boolean. If false, the function is recomplied only if its kind changes; if true, it is recompiled even if it keeps the same kind (notably useful to recompile a "p" function, to reset the profiling statistics).

## Description

- This function reverse-compiles a function variable via fun2string, and recompiles it to the desired kind with deff.

## Examples

    recompilefunction("asinh","p")
    for i=1:100; asinh(rand(100,100)); end
    showprofile(asinh)

## See Also

- function
- deff
- comp
- fun2string
- profile

## Bibliography

http://wiki.scilab.org/Scilab_function_variables%3A_representation%2C_manipulation